petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetScatter

Gets the global-to-local, and local-to-local vector scatter contexts for a distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetScatter(DM da,VecScatter *gtol,VecScatter *ltol)

Collective on DMDA Many br

### Input Parameter

da -the distributed array Many br

### Output Parameters

| gtol | - global-to-local scatter context (may be NULL) Many br
| ltol | - local-to-local scatter context (may be NULL) Many br

Many br

### Notes

The output contexts are valid only as long as the input da is valid. Many brIf you delete the da, the scatter contexts will become invalid. Many br

### Keywords

distributed array, get, scatter, context, global-to-local,
local-to-global, local-to-local Many br

### See Also

DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin()

Level:developer
Location:src/dm/impls/da/dascatter.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages